CMSIS-DSP: arm_matrix_example_f32.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_matrix_example_f32.c File Reference

## Macros

#define | SNR_THRESHOLD

## Functions

int32_t | main (void)

## Variables

const float32_t | B_f32 [4]
const float32_t | A_f32 [16]
float32_t | AT_f32 [16]
float32_t | ATMA_f32 [16]
float32_t | ATMAI_f32 [16]
float32_t | X_f32 [4]
const float32_t | xRef_f32 [4]
float32_t | snr

## Macro Definition Documentation

#define SNR_THRESHOLD

Examples:
  arm_matrix_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_matrix_example_f32.c.

## Variable Documentation

const float32_t A_f32[16]

Examples:
  arm_matrix_example_f32.c.

float32_t AT_f32[16]

Examples:
  arm_matrix_example_f32.c.

float32_t ATMA_f32[16]

Examples:
  arm_matrix_example_f32.c.

float32_t ATMAI_f32[16]

Examples:
  arm_matrix_example_f32.c.

const float32_t B_f32[4]

Examples:
  arm_matrix_example_f32.c.

float32_t snr

Examples:
  arm_matrix_example_f32.c.

float32_t X_f32[4]

Examples:
  arm_matrix_example_f32.c.

const float32_t xRef_f32[4]

Examples:
  arm_matrix_example_f32.c.